package cn.estsh.i3plus.pojo.wms.bean;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.util.List;

/**
 * @Description : PDA传输到后台的实体bean对象
 * @Reference :
 * @Author : silliter.yuan
 * @CreateDate : 2018-11-22 15:58
 * @Modify:
 **/
@Data
@Api("接受前端数据实体")
public class WmsOperationBean {

    @ApiParam("扫描内容")
    public String barCode;

    @ApiParam("可选项的值")
    public List<String> options;

    /**
     * 触发源:10=扫描枪,
     * 20=提交按钮,30=重置按钮,40=查看明细， 50=明细(删除)
     * 60=明细（清空）
     */
    @ApiParam("触发源")
    public int sourceOwner;

    @ApiParam("选中的明细数据")
    public String details;
}
